<!DOCTYPE html>
<html> 
<head> 
  <meta http-equiv="content-type" content="text/html; charset=UTF-8" /> 
  <title>Google Maps Multiple Markers</title> 
  <script src="http://maps.google.com/maps/api/js?key=AIzaSyAfgxZy-rkWd8nz4xLobtiSNnh371-mL48" 
          type="text/javascript"></script>
</head> 
<body>
  <a href="{{url('approve_reject_report')}}" class="btn btn-primary">Back</a>
  <div id="map" style="width: 1350px; height: 620px;"></div>

  <script type="text/javascript">
    var locations = JSON.parse('<?php echo json_encode($total); ?>');
    
    var map = new google.maps.Map(document.getElementById('map'), {
      zoom: 20,
      center: new google.maps.LatLng({{$latittude}}, {{$longitude}}),
      mapTypeId: google.maps.MapTypeId.ROADMAP
    });
    
    var infowindow = new google.maps.InfoWindow();

    var marker, i;
    
    for (i = 0; i < locations.length; i++) {  
      marker = new google.maps.Marker({
        position: new google.maps.LatLng(locations[i][1], locations[i][2]),
        map: map
      });
      
      google.maps.event.addListener(marker, 'click', (function(marker, i) {
        return function() {
          infowindow.setContent(locations[i][0]);
          infowindow.open(map, marker);
        }
      })(marker, i));
    }
  </script>
</body>
</html>